Bug 24324 - CVE-2010-3349: insecure library loading
: CVE-2010-3349: insecure library loading
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ardour)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
: http://bugs.debian.org/598283
: security
:
:
  Show dependency tree
 
Reported: 2010-10-15 21:08 by
Modified: 2013-06-18 23:30 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2010-10-15 21:08:25
The vulnerability is introduced by an insecure change to
LD_LIBRARY_PATH, and environment variable used by ld.so(8) to look for
libraries on a directory other than the standard paths.

Vulnerable code follows:

/usr/bin/ardour2 line 5:
export LD_LIBRARY_PATH=/usr/lib/ardour2:$LD_LIBRARY_PATH 

When there's an empty item on the colon-separated list of
LD_LIBRARY_PATH, ld.so treats it as '.' (i.e. CWD/$PWD.)
If the given script is executed from a directory where a potential,
local, attacker can write files to, there's a chance to exploit this
bug.


Proposed patch: here
http://patch-tracker.debian.org/patch/series/view/ardour/1:2.8.11-3/130_ldpath.patch
------- Comment #1 From 2011-02-10 16:10:47 -------
At last - this one will be fixed in 2.8.11-alt1.1.
------- Comment #2 From 2013-06-18 23:30:54 -------
Давно исправлено